Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState

Direct Known Subclasses:
  `TdApi.AuthorizationStateClosed`, `TdApi.AuthorizationStateClosing`, `TdApi.AuthorizationStateLoggingOut`, `TdApi.AuthorizationStateReady`, `TdApi.AuthorizationStateWaitCode`, `TdApi.AuthorizationStateWaitEmailAddress`, `TdApi.AuthorizationStateWaitEmailCode`, `TdApi.AuthorizationStateWaitOtherDeviceConfirmation`, `TdApi.AuthorizationStateWaitPassword`, `TdApi.AuthorizationStateWaitPhoneNumber`, `TdApi.AuthorizationStateWaitRegistration`, `TdApi.AuthorizationStateWaitTdlibParameters`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.AuthorizationState extends TdApi.Object permits TdApi.AuthorizationStateWaitTdlibParameters, TdApi.AuthorizationStateWaitPhoneNumber, TdApi.AuthorizationStateWaitEmailAddress, TdApi.AuthorizationStateWaitEmailCode, TdApi.AuthorizationStateWaitCode, TdApi.AuthorizationStateWaitOtherDeviceConfirmation, TdApi.AuthorizationStateWaitRegistration, TdApi.AuthorizationStateWaitPassword, TdApi.AuthorizationStateReady, TdApi.AuthorizationStateLoggingOut, TdApi.AuthorizationStateClosing, TdApi.AuthorizationStateClosed
This class is an abstract base class. Represents the current authorization state of the TDLib client.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationState()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationState

public AuthorizationState()
Default class constructor.